VOS_CONVERTROTORW(1)

NAME
vos_convertROtoRW - Converts a Read-Only volume into a Read/Write volume

SYNOPSIS
vos convertROtoRW [-server] <machine name>
   [-partition] <partition name>
   [-id] <volume name or ID> [-force]
   [-cell <cell name>] [-noauth] [-localauth]
   [-verbose] [-encrypt] [-help]

DESCRIPTION
vos convertROtoRW converts a Read-Only volume into a Read/Write volume when the original Read/Write volume is no longer available. It's normal use is to recover the Read/Write volume from a replica after a failed disk, failed server, or accidental deletion.

CAUTIONS
The command name is case-sensitive. It must be issued with the capital "RO" and "RW".

OPTIONS

-server <server name>
    Identifies the file server machine that houses the Read-Only volume which will be converted. Provide the machine's IP address or its host name (either fully qualified or using an unambiguous abbreviation). For details, see vos(1).

-partition <partition name>
    Identifies the partition on the file server machine that houses the Read-Only volume which will be converted. Provide the full partition name (for, example, /vicepa) or one of the abbreviated forms described in vos(1).

-id <volume ID>
    Specifies either the complete name or volume ID number of a Read/Write volume.

-force
    Don't ask for confirmation.

-cell <cell name>
    Names the cell in which to run the command. Do not combine this argument with the -localauth flag. For more details, see vos(1).

-noauth
    Assigns the unprivileged identity "anonymous" to the issuer. Do not combine this flag with the -localauth flag. For more details, see vos(1).

-localauth
    Constructs a server ticket using a key from the local /usr/afs/etc/KeyFile file. The vos command interpreter presents it to the Volume Server and Volume Location Server during mutual authentication. Do not combine this flag with the -cell argument or -noauth flag. For more details, see vos(1).

-verbose
    Produces on the standard output stream a detailed trace of the command's execution. If this argument is omitted, only warnings and error messages appear.

-encrypt
    Encrypts the command so that the operation's results are not transmitted across the network in clear text.

-help
    Prints the online help for this command. All other valid options are ignored.

EXAMPLES
The following example converts the read-only volume test3.readonly in partition vicepb on server1 to a read-write volume:

   % vos convertROtoRW server1 b test3.readonly

PRIVILEGE REQUIRED
The issuer must be listed in the /usr/afs/etc/UserList file on the machines specified with the -toserver and -fromserver arguments and on each database server machine. If the -localauth flag is included, the issuer must instead be logged on to a server machine as the local superuser "root".

SEE ALSO
vos(1)

COPYRIGHT
Copyright 2007 Jason Edgecombe <jason@rampaginggeek.com>

This documentation is covered by the BSD License as written in the doc/LICENSE file. This man page was written by Jason Edgecombe for OpenAFS.